import { httpRequest, sseRequest } from '@/utils/request'

export function sendMessage(data, token) {
  return sseRequest({
    url: '/api/v1/chat-messages',
    params: data,
    headers: {
      'Authorization': `Bearer ${token}`
    }
  })
}

export function getChatModes() {
  return httpRequest({
    url: '/api/chat/modes',
    method: 'POST',
  })
}
